hpp-constraints: hpp::constraints::solver::HierarchicalIterative::Data Struct Reference

hpp-constraints 9.0.2 Definition of basic geometric constraints for motion planning

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
hpp::constraints::solver::HierarchicalIterative::Data Struct Reference

`#include <hpp/constraints/solver/hierarchical-iterative.hh>`

Collaboration diagram for hpp::constraints::solver::HierarchicalIterative::Data:
[legend]

## Public Member Functions
| Data ()

## Public Attributes
LiegroupElement | output
LiegroupElement | rightHandSide
vector_t | error
matrix_t | jacobian
matrix_t | reducedJ
SVD_t | svd
matrix_t | PK
size_type | maxRank
ComparisonTypes_t | comparison
std::vector< std::size_t > | inequalityIndices
Eigen::RowBlockIndices | equalityIndices
Eigen::MatrixBlocks< false, false > | activeRowsOfJ

## Constructor & Destructor Documentation

## ◆ Data()

hpp::constraints::solver::HierarchicalIterative::Data::Data | ( |  | ) |
| inline

## Member Data Documentation

## ◆ activeRowsOfJ

Eigen::MatrixBlocks<false, false> hpp::constraints::solver::HierarchicalIterative::Data::activeRowsOfJ

## ◆ comparison

ComparisonTypes_t hpp::constraints::solver::HierarchicalIterative::Data::comparison

## ◆ equalityIndices

Eigen::RowBlockIndices hpp::constraints::solver::HierarchicalIterative::Data::equalityIndices

## ◆ error

vector_t hpp::constraints::solver::HierarchicalIterative::Data::error

## ◆ inequalityIndices

std::vector<std::size_t> hpp::constraints::solver::HierarchicalIterative::Data::inequalityIndices

## ◆ jacobian

matrix_t hpp::constraints::solver::HierarchicalIterative::Data::jacobian

## ◆ maxRank

size_type hpp::constraints::solver::HierarchicalIterative::Data::maxRank
| mutable

## ◆ output

LiegroupElement hpp::constraints::solver::HierarchicalIterative::Data::output

## ◆ PK

matrix_t hpp::constraints::solver::HierarchicalIterative::Data::PK

## ◆ reducedJ

matrix_t hpp::constraints::solver::HierarchicalIterative::Data::reducedJ

## ◆ rightHandSide

LiegroupElement hpp::constraints::solver::HierarchicalIterative::Data::rightHandSide

## ◆ svd

SVD_t hpp::constraints::solver::HierarchicalIterative::Data::svd

The documentation for this struct was generated from the following file:

- include/hpp/constraints/solver/hierarchical-iterative.hh